# $Revision: 1.20 $, $Date: 2010/08/15 08:59:09 $
#
# Conditional build:
%bcond_without	sysfs	# sysfs support
%bcond_without	procfs	# procfs support
#
Summary:	Scaling your CPU frequency
Summary(pl.UTF-8):	Skalowanie częstotliwości procesora
Name:		cpufrequtils
Version:	008
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
# Source0-md5:	c59b71c044d463896f3247e8dd83dd7e
URL:		http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
BuildRequires:	gettext-devel
%{?with_sysfs:BuildRequires:	sysfsutils-devel >= 1.3.0-3}
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scaling your CPU frequency.

%description -l pl.UTF-8
Skalowanie częstotliwości procesora.

%package libs
Summary:	cpufrequtils library
Summary(pl.UTF-8):	Biblioteka skalująca częstotliwość procesora
Group:		Libraries

%description libs
cpufrequtils library.

%description libs -l pl.UTF-8
Biblioteka skalująca częstotliwość procesora.

%package devel
Summary:	Header file for libcpufreq library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libcpufreq
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
%{?with_sysfs:Requires:	sysfsutils-devel >= 1.3.0-3}
Obsoletes:	cpufrequtils-static

%description devel
Header file for libcpufreq library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libcpufreq.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	OPTIMIZATION="%{rpmcflags}" \
	V=true \
	%{!?with_sysfs:SYSFS=false} \
	%{!?with_procfs:PROC=false}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir} \
	mandir=%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/cpufreq-*
%{_mandir}/man1/cpufreq-*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcpufreq.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcpufreq.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcpufreq.so
%{_includedir}/cpufreq.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpufrequtils.spec,v $
Revision 1.20  2010/08/15 08:59:09  qboosh
- updated to 008
- removed libtool patch (libtool support and static library gone)
- thus -devel O: cpufrequtils-static

Revision 1.19  2009/11/27 01:23:42  sparky
- BR: gettext-devel

Revision 1.18  2008/08/11 07:05:16  adamg
- updated to 005

Revision 1.17  2008/07/26 19:58:16  twittner
- up to 004

Revision 1.16  2008/05/31 15:10:48  arekm
- up to 003

Revision 1.15  2007-12-16 13:44:19  glen
- add -libtool.patch, fix libdir on amd64; rel 2

Revision 1.14  2007-05-26 22:56:43  qboosh
- updated to 002, epoch 1

Revision 1.13  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.11  2006/02/19 15:16:49  qboosh
- killed sysfs thinko (-L/sys/lib), -devel R: sysfsutils-devel
- release 3, STBR

Revision 1.10  2006/01/08 20:36:42  qboosh
- en cosmetisc

Revision 1.9  2006/01/08 16:47:25  blues
- release 2 - separated libs into subpackage

Revision 1.8  2006/01/08 16:17:43  blues
- TODO added

Revision 1.7  2006/01/04 21:55:04  qboosh
- added missing update information to rev. 1.5 commit log

Revision 1.6  2005/12/27 18:26:48  arekm
- fix attr on cpufreq-* binaries

Revision 1.5  2005/12/27 14:28:24  arekm
- rel 1; builds
[updated to 0.4]

Revision 1.4  2005/06/20 20:56:26  qboosh
- don't regenerate ac/am (not needed now for anything, too much PITA)
- fixed files, added -devel package

Revision 1.3  2005/06/20 19:34:08  qboosh
- descs from summaries

Revision 1.2  2005/06/19 09:00:40  glen
- need regen autotools in subdirs, still doesn't build

Revision 1.1  2005/06/19 00:55:33  blues
- raw version - original tool from kernel.org
